Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global gitversion 9db45842

Name:           lv2-mdaEPiano
Version:        0
Release:        alt2_0.29.git%{gitversion}
Summary:        A port of the MDA EPiano VST plugin to LV2

License:        GPLv3+
URL:            https://github.com/rekado/%{name}
Source0:        %{name}-%{version}-git%{gitversion}.tar.bz2
# check out specific git revision sh lv2-mdaEPiano-snapshot.sh %%gitversion
Source1:        lv2-mdaEPiano-snapshot.sh

BuildRequires:  gcc-c++
BuildRequires:  lv2-devel
BuildRequires:  lv2-c++-tools-static
Requires:       lv2
Source44: import.info

%description
A port of the popular MDA EPiano VST plugin to LV2

%prep
%setup -q 
sed -i -e 's|-O $(WARNINGS)|$(CFLAGS)|'  src/Makefile

# Fix encoding issues
for file in LICENSE README.md; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
cd src
make PREFIX=%{_prefix} CFLAGS="%optflags" %{?_smp_mflags}

%install
cd src
make install INSTALL_DIR=%{buildroot}%{_libdir}/lv2

%files
%doc README.md
%doc --no-dereference LICENSE
%{_libdir}/lv2/lv2-mdaEPiano.lv2

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.29.git9db45842
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.27.git9db45842
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.25.git9db45842
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.24.git9db45842
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.23.git9db45842
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0-alt2_0.22.git9db45842
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0-alt2_0.21.git9db45842
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.21.git9db45842
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.20.git9db45842
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.19.git9db45842
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.18.git9db45842
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.17.git9db45842
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.16.git9db45842
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.14.git9db45842
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.12.git9db45842
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.11.git9db45842
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.10.git9db45842
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.8.git9db45842
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.7.git9db45842
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.6.git9db45842
- update to new release by fcimport

* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.5.git9db45842
- fc import

